Loading...
Searching...
No Matches
ftxui::Dimension Namespace Reference

Define how the Screen's dimensions should look like. More...

## Functions

Dimensions | Fit (Element &, bool extend_beyond_screen=false)
Dimensions | Fixed (int)
Dimensions | Full ()

## Detailed Description

Define how the Screen's dimensions should look like.

## Function Documentation

## Fit()

Dimensions Fit | ( | Element & | e,
|  | bool | extend_beyond_screen = false )

The minimal dimension that will fit the given element.

See also
  Fixed
  Full

Examples
  examples/dom/border.cpp, examples/dom/border_colored.cpp, examples/dom/border_style.cpp, examples/dom/canvas.cpp, examples/dom/color_gallery.cpp, examples/dom/color_info_palette256.cpp, examples/dom/color_truecolor_HSV.cpp, examples/dom/color_truecolor_RGB.cpp, examples/dom/dbox.cpp, examples/dom/graph.cpp, examples/dom/gridbox.cpp, examples/dom/hflow.cpp, examples/dom/html_like.cpp, examples/dom/package_manager.cpp, examples/dom/separator.cpp, examples/dom/separator_style.cpp, examples/dom/size.cpp, examples/dom/spinner.cpp, examples/dom/style_blink.cpp, examples/dom/style_bold.cpp, examples/dom/style_color.cpp, examples/dom/style_dim.cpp, examples/dom/style_gallery.cpp, examples/dom/style_hyperlink.cpp, examples/dom/style_inverted.cpp, examples/dom/style_italic.cpp, examples/dom/style_strikethrough.cpp, examples/dom/style_underlined.cpp, examples/dom/style_underlined_double.cpp, examples/dom/table.cpp, and examples/dom/vflow.cpp.

Definition at line 93 of file util.cpp.

## Fixed()

Dimensions Fixed | ( | int | v | ) |

A fixed dimension.

See also
  Fit
  Full

Definition at line 375 of file screen.cpp.

## Full()

Dimensions Full | ( |  | ) |

Use the terminal dimensions.

See also
  Fixed
  Fit

Examples
  examples/dom/border.cpp, examples/dom/color_gallery.cpp, examples/dom/color_info_palette256.cpp, examples/dom/color_truecolor_HSV.cpp, examples/dom/color_truecolor_RGB.cpp, examples/dom/dbox.cpp, examples/dom/graph.cpp, examples/dom/hflow.cpp, examples/dom/linear_gradient.cpp, examples/dom/package_manager.cpp, examples/dom/paragraph.cpp, examples/dom/separator.cpp, examples/dom/spinner.cpp, examples/dom/style_blink.cpp, examples/dom/style_bold.cpp, examples/dom/style_color.cpp, examples/dom/style_dim.cpp, examples/dom/style_gallery.cpp, examples/dom/style_hyperlink.cpp, examples/dom/style_inverted.cpp, examples/dom/style_italic.cpp, examples/dom/style_strikethrough.cpp, examples/dom/style_underlined.cpp, examples/dom/style_underlined_double.cpp, examples/dom/vbox_hbox.cpp, and examples/dom/vflow.cpp.

Definition at line 382 of file screen.cpp.